Bug 1124543 - Review Request: mingw-admesh - MinGW compiled ADMesh
Summary: Review Request: mingw-admesh - MinGW compiled ADMesh
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: František Dvořák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 18:20 UTC by Miro Hrončok
Modified: 2014-09-23 04:59 UTC (History)
3 users (show)

Fixed In Version: mingw-admesh-0.98.0-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-23 04:59:57 UTC
valtri: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Miro Hrončok 2014-07-29 18:20:09 UTC
Spec URL: https://raw.githubusercontent.com/hroncok/SPECS/master/mingw-admesh.spec
SRPM URL: https://churchyard.fedorapeople.org/SRPMS/mingw-admesh-0.98.0-1.fc20.src.rpm

Description: MinGW compiled ADMesh. ADMesh is a program for diagnosing and/or repairing
commonly encountered problems with STL (STereo Lithography) data files.

Fedora Account System Username: churchyard

Comment 1 František Dvořák 2014-08-12 16:10:04 UTC
Taking the review.

Mind review swap with https://bugzilla.rpmfusion.org/show_bug.cgi?id=3278 (mingw-libmad)? There are different configure options for 32-bit and 64-bit build and it is in rpmfusion, othewise it should be normal MinGW-compiled library.

Comment 2 František Dvořák 2014-08-12 18:43:22 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======

No issues found.

Only some comments (no changes are needed though):

* rpmlint: mingw-admesh.src: W: strange-permission admesh-0.98.0.tar.gz 0444L

I'm not sure what is cause of this. When downlading by wget, the permissions are OK.

* You may consider adding INSTALL="install -p" to mingw_make_install command for preserving timestamps.

It is probably controversional, and not mentioned in guidelines. Just mentioning here this trick exists...


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)". Detailed output of licensecheck in /home/valtri
     /fedora-scm/REVIEWS/mingw-admesh/1124543-mingw-admesh/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/x86_64-w64-mingw32/sys-root,
     /usr/i686-w64-mingw32/sys-root/mingw, /usr/x86_64-w64-mingw32,
     /usr/i686-w64-mingw32/sys-root/mingw/lib, /usr/i686-w64-mingw32,
     /usr/i686-w64-mingw32/sys-root, /usr/x86_64-w64-mingw32/sys-root/mingw,
     /usr/x86_64-w64-mingw32/sys-root/mingw/lib
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 204800 bytes in 18 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     mingw32-admesh , mingw32-admesh-static , mingw64-admesh , mingw64-admesh-
     static
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
     Note: mingw32-admesh : /usr/i686-w64-mingw32/sys-
     root/mingw/lib/pkgconfig/libadmesh.pc mingw64-admesh :
     /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/libadmesh.pc
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mingw32-admesh-0.98.0-1.fc22.noarch.rpm
          mingw32-admesh-static-0.98.0-1.fc22.noarch.rpm
          mingw64-admesh-0.98.0-1.fc22.noarch.rpm
          mingw64-admesh-static-0.98.0-1.fc22.noarch.rpm
          mingw-admesh-0.98.0-1.fc22.src.rpm
mingw-admesh.src: W: strange-permission admesh-0.98.0.tar.gz 0444L
mingw-admesh.src: W: invalid-url Source0: http://github.com/admesh/admesh/releases/download/v0.98.0/admesh-0.98.0.tar.gz HTTP Error 403: Forbidden
5 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint mingw32-admesh mingw32-admesh-static mingw64-admesh-sta 
tic mingw64-admesh
4 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
mingw32-admesh (rpmlib, GLIBC filtered):
    mingw32(kernel32.dll)
    mingw32(libadmesh-1.dll)
    mingw32(msvcrt.dll)
    mingw32-crt
    mingw32-filesystem
    mingw32-pkg-config

mingw32-admesh-static (rpmlib, GLIBC filtered):
    mingw32-admesh

mingw64-admesh-static (rpmlib, GLIBC filtered):
    mingw64-admesh

mingw64-admesh (rpmlib, GLIBC filtered):
    mingw64(kernel32.dll)
    mingw64(libadmesh-1.dll)
    mingw64(msvcrt.dll)
    mingw64-crt
    mingw64-filesystem
    mingw64-pkg-config



Provides
--------
mingw32-admesh:
    mingw32(libadmesh-1.dll)
    mingw32-admesh

mingw32-admesh-static:
    mingw32-admesh-static

mingw64-admesh-static:
    mingw64-admesh-static

mingw64-admesh:
    mingw64(libadmesh-1.dll)
    mingw64-admesh



Source checksums
----------------
http://github.com/admesh/admesh/releases/download/v0.98.0/admesh-0.98.0.tar.gz :
  CHECKSUM(SHA256) this package     : 60062b273306f0a52cdc63e2af0c7ed27733802ffae27512d99bdbc9d61832c1
  CHECKSUM(SHA256) upstream package : 60062b273306f0a52cdc63e2af0c7ed27733802ffae27512d99bdbc9d61832c1


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1124543
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

===

Package approved!

Comment 3 Miro Hrončok 2014-08-31 20:50:10 UTC
New Package SCM Request
=======================
Package Name: mingw-admesh
Short Description: MinGW compiled ADMesh
Upstream URL: http://github.com/admesh/admesh/
Owners: churchyard
Branches: f21

Comment 4 Gwyn Ciesla 2014-09-02 12:39:37 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2014-09-03 16:42:08 UTC
mingw-admesh-0.98.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mingw-admesh-0.98.0-1.fc21

Comment 6 Fedora Update System 2014-09-06 01:01:57 UTC
mingw-admesh-0.98.0-1.fc21 has been pushed to the Fedora 21 testing repository.

Comment 7 Fedora Update System 2014-09-23 04:59:57 UTC
mingw-admesh-0.98.0-1.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.